html.magnifying > body {
  overflow-x: hidden !important;
}

.magnify {
  position: relative;
  display: inline-block;

  &-lens {
    /* Create the magnifying lens */
    position: absolute;
    width: 12.5rem;
    height: 12.5rem;
    /* Multiple box shadows to achieve the glass lens effect */
    box-shadow: 0 0 0 1px rgba(255, 255, 255, 0.85), 0 0 15px -1px rgba(0, 0, 0, 0.25);
    /* Hide the mouse pointer */
    cursor: none;
    /* Hide the lens by default */
    display: none;
    /* Place the lens on top of other elements */
    z-index: 100;

    &.loading {
      background: #333 !important;
      opacity: 0.75;

      &:after {
        /* Loading text */
        position: absolute;
        top: 45%;
        left: 0;
        width: 100%;
        color: #fff;
        content: 'Loading...';
        font: italic normal 16px/1 Calibri, sans-serif;
        text-align: center;
        text-shadow: 0 0 2px rgba(51, 51, 51, 0.8);
        text-transform: none;
      }
    }
  }
}